{}:
rec {
  phpFpm = {
    socket = "/var/run/phpfpm/adminer.sock";
  };
  apache = rec {
    modules = [ "proxy_fcgi" ];
    webappName = "_adminer";
    root = "/run/current-system/webapps/${webappName}";
    vhostConf = ''
      Alias /adminer ${root}
      <Directory ${root}>
        DirectoryIndex index.php
        Require all granted
        <FilesMatch "\.php$">
          SetHandler "proxy:unix:${phpFpm.socket}|fcgi://localhost"
        </FilesMatch>
      </Directory>
      '';
  };
}
